Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iophy.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iophy.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iophy.F90	(revision 4727)
@@ -16,13 +16,7 @@
 !$OMP THREADPRIVATE(itau_iophy)
 
-#ifdef CPP_XIOS
   INTERFACE histwrite_phy
     MODULE PROCEDURE histwrite2d_phy,histwrite3d_phy,histwrite2d_phy_old,histwrite3d_phy_old,histwrite2d_xios,histwrite3d_xios,histwrite0d_xios
   END INTERFACE
-#else
-  INTERFACE histwrite_phy
-    MODULE PROCEDURE histwrite2d_phy,histwrite3d_phy,histwrite2d_phy_old,histwrite3d_phy_old
-  END INTERFACE
-#endif
 
   INTERFACE histbeg_phy_all
@@ -52,7 +46,5 @@
     USE ioipsl, ONLY: flio_dom_set
 #endif
-#ifdef CPP_XIOS
-  use wxios, ONLY: wxios_domain_param, wxios_domain_param_unstructured, wxios_context_init
-#endif
+  use wxios, ONLY: wxios_domain_param, wxios_domain_param_unstructured, wxios_context_init, using_xios
     IMPLICIT NONE
     REAL,DIMENSION(klon),INTENT(IN) :: rlon
@@ -72,14 +64,10 @@
     INTEGER :: data_ibegin, data_iend
 
-#ifdef CPP_XIOS
-      CALL wxios_context_init
-#endif
+    if (using_xios)  CALL wxios_context_init
     
 
     IF (grid_type==unstructured) THEN
     
-#ifdef CPP_XIOS
       CALL wxios_domain_param_unstructured("dom_glo")
-#endif
 
     ELSE
@@ -140,5 +128,5 @@
                       'APPLE',phys_domain_id)
 #endif
-#ifdef CPP_XIOS
+    IF (using_xios) THEN  
       ! Set values for the mask:
       IF (mpi_rank == 0) THEN
@@ -163,10 +151,8 @@
 
       ! Initialize the XIOS domain coreesponding to this process:
-#endif
+    ENDIF
 !$OMP END MASTER
 
-#ifdef CPP_XIOS    
-        CALL wxios_domain_param("dom_glo")
-#endif
+      IF (using_xios) CALL wxios_domain_param("dom_glo")
       
     ENDIF
@@ -227,7 +213,5 @@
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
   USE ioipsl, ONLY: histbeg
-#ifdef CPP_XIOS
-  USE wxios, ONLY: wxios_add_file
-#endif
+  USE wxios, ONLY: wxios_add_file, using_xios
   IMPLICIT NONE
   INCLUDE 'clesphys.h'
@@ -251,13 +235,13 @@
   ENDIF
 
-#ifdef CPP_XIOS
-  ! ug OMP en chantier...
-  IF((.NOT. is_using_mpi) .OR. is_mpi_root) THEN
-      ! ug Création du fichier
-    IF (.not. ok_all_xml) THEN
-      CALL wxios_add_file(name, ffreq, lev)
+  IF (using_xios) THEN  
+    ! ug OMP en chantier...
+    IF((.NOT. is_using_mpi) .OR. is_mpi_root) THEN
+        ! ug Création du fichier
+      IF (.not. ok_all_xml) THEN
+        CALL wxios_add_file(name, ffreq, lev)
+      ENDIF
     ENDIF
   ENDIF
-#endif
 !$OMP END MASTER
   
@@ -608,7 +592,5 @@
     USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
     USE aero_mod, ONLY : naero_tot, name_aero_tau
-#ifdef CPP_XIOS
-    USE wxios, ONLY: wxios_add_field_to_file
-#endif
+    USE wxios, ONLY: wxios_add_field_to_file, using_xios
     USE print_control_mod, ONLY: prt_level,lunout
     IMPLICIT NONE
@@ -650,16 +632,16 @@
     IF(.NOT.clef_stations(iff)) THEN  
 
-#ifdef CPP_XIOS
-      IF (.not. ok_all_xml) THEN
-        IF ( var%flag(iff)<=lev_files(iff) ) THEN
-          CALL wxios_add_field_to_file(var%name, 2, iff, phys_out_filenames(iff), &
-          var%description, var%unit, var%flag(iff), typeecrit)
-          IF (prt_level >= 10) THEN
-            WRITE(lunout,*) 'histdef2d: call wxios_add_field_to_file var%name iff: ', &
-                            trim(var%name),iff
+      IF (using_xios) THEN  
+        IF (.not. ok_all_xml) THEN
+          IF ( var%flag(iff)<=lev_files(iff) ) THEN
+            CALL wxios_add_field_to_file(var%name, 2, iff, phys_out_filenames(iff), &
+            var%description, var%unit, var%flag(iff), typeecrit)
+            IF (prt_level >= 10) THEN
+              WRITE(lunout,*) 'histdef2d: call wxios_add_field_to_file var%name iff: ', &
+                              trim(var%name),iff
+            ENDIF
           ENDIF
         ENDIF
       ENDIF
-#endif
 #ifndef CPP_IOIPSL_NO_OUTPUT 
 
@@ -725,7 +707,5 @@
     USE print_control_mod, ONLY: prt_level,lunout
     USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
-#ifdef CPP_XIOS
-    USE wxios, ONLY: wxios_add_field_to_file
-#endif
+    USE wxios, ONLY: wxios_add_field_to_file, using_xios
     USE print_control_mod, ONLY: prt_level,lunout
     IMPLICIT NONE
@@ -766,16 +746,17 @@
     IF(.NOT.clef_stations(iff)) THEN
 
-#ifdef CPP_XIOS
-       IF (.not. ok_all_xml) THEN
-         IF ( var%flag(iff)<=lev_files(iff) ) THEN
-         CALL wxios_add_field_to_file(var%name, 3, iff, phys_out_filenames(iff), &
-         var%description, var%unit, var%flag(iff), typeecrit)
-           IF (prt_level >= 10) THEN
-             WRITE(lunout,*) 'histdef3d: call wxios_add_field_to_file var%name iff: ', &
-                             trim(var%name),iff
-           ENDIF
-         ENDIF
-       ENDIF
-#endif
+      IF (using_xios) THEN  
+
+        IF (.not. ok_all_xml) THEN
+          IF ( var%flag(iff)<=lev_files(iff) ) THEN
+          CALL wxios_add_field_to_file(var%name, 3, iff, phys_out_filenames(iff), &
+          var%description, var%unit, var%flag(iff), typeecrit)
+            IF (prt_level >= 10) THEN
+              WRITE(lunout,*) 'histdef3d: call wxios_add_field_to_file var%name iff: ', &
+                              trim(var%name),iff
+            ENDIF
+          ENDIF
+        ENDIF
+      ENDIF
 #ifndef CPP_IOIPSL_NO_OUTPUT 
 
@@ -974,7 +955,5 @@
   USE print_control_mod, ONLY: prt_level,lunout
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, grid_type, unstructured, regular_lonlat
-#ifdef CPP_XIOS
-  USE xios, ONLY: xios_send_field, xios_field_is_active
-#endif
+  USE lmdz_xios, ONLY: xios_send_field, xios_field_is_active, using_xios
   USE print_control_mod, ONLY: lunout, prt_level
 
@@ -1036,14 +1015,14 @@
 
   ELSE
-#ifdef CPP_XIOS
-    IF (ok_all_xml) THEN
-      !$omp barrier
-      !$omp master
-      is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
-      !$omp end master
-      !$omp barrier
-      IF(.not. is_active) RETURN
-    ENDIF
-#endif
+    IF (using_xios) THEN
+      IF (ok_all_xml) THEN
+        !$omp barrier
+        !$omp master
+        is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
+        !$omp end master
+        !$omp barrier
+        IF(.not. is_active) RETURN
+      ENDIF
+    ENDIF
 
     !Et sinon on.... écrit
@@ -1068,5 +1047,5 @@
 
       IF (ok_all_xml) THEN
-#ifdef CPP_XIOS
+        IF (using_xios) THEN  
           IF (prt_level >= 10) THEN
              write(lunout,*)'Dans iophy histwrite2D,var%name ', trim(var%name)                       
@@ -1091,35 +1070,35 @@
                              trim(var%name)                       
           ENDIF
-#else
-        CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
-#endif
+        ELSE
+          CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
+        ENDIF
       ELSE  
         DO iff=iff_beg, iff_end
             IF (var%flag(iff) <= lev_files(iff) .AND. clef_files(iff)) THEN 
 
-#ifdef CPP_XIOS
-               IF (firstx) THEN
-                  IF (prt_level >= 10) THEN
-                     write(lunout,*)'Dans iophy histwrite2D,iff,var%name ',&
-                                    iff,trim(var%name)                       
-                     write(lunout,*)"histwrite2d_phy:.NOT.clef_stations(iff)and iff==iff_beg, call xios_send_field"
-                  ENDIF
-                  IF (grid_type==regular_lonlat) THEN
-                    IF (SIZE(field) == klon) then
-                       CALL xios_send_field(var%name, Field2d)
-                    ELSE
+              IF (using_xios) THEN
+                IF (firstx) THEN
+                   IF (prt_level >= 10) THEN
+                      write(lunout,*)'Dans iophy histwrite2D,iff,var%name ',&
+                                     iff,trim(var%name)                       
+                      write(lunout,*)"histwrite2d_phy:.NOT.clef_stations(iff)and iff==iff_beg, call xios_send_field"
+                   ENDIF
+                   IF (grid_type==regular_lonlat) THEN
+                     IF (SIZE(field) == klon) then
+                        CALL xios_send_field(var%name, Field2d)
+                     ELSE
+                        CALL xios_send_field(var%name, field)
+                     ENDIF
+                   ELSE IF (grid_type==unstructured) THEN
+                     IF (SIZE(field) == klon) then
+                       CALL xios_send_field(var%name, buffer_omp)
+                     ELSE
                        CALL xios_send_field(var%name, field)
-                    ENDIF
-                  ELSE IF (grid_type==unstructured) THEN
-                    IF (SIZE(field) == klon) then
-                      CALL xios_send_field(var%name, buffer_omp)
-                    ELSE
-                      CALL xios_send_field(var%name, field)
-                    ENDIF
-                  ENDIF
-
-                  firstx=.false.
-               ENDIF
-#endif
+                     ENDIF
+                   ENDIF
+
+                   firstx=.false.
+                ENDIF
+              ENDIF
 
                   IF (.NOT.clef_stations(iff)) THEN
@@ -1129,5 +1108,5 @@
                         CALL histwrite(nid_files(iff),var%name,itau_iophy,Field2d,nbp_lon*jj_nb,index2d)
 #endif
-!#ifdef CPP_XIOS
+!    IF (using_xios) THEN  
 !                        IF (iff == iff_beg) THEN
 !                          IF (prt_level >= 10) THEN
@@ -1136,5 +1115,5 @@
 !                          CALL xios_send_field(var%name, Field2d)
 !                        ENDIF
-!#endif
+!    ENDIF
                   ELSE 
                         ALLOCATE(fieldok(npstn))
@@ -1188,7 +1167,5 @@
                                  nid_files, swaerofree_diag
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, grid_type, regular_lonlat, unstructured
-#ifdef CPP_XIOS
-  USE xios, ONLY: xios_send_field, xios_field_is_active
-#endif
+  USE lmdz_xios, ONLY: xios_send_field, xios_field_is_active, using_xios
   USE print_control_mod, ONLY: prt_level,lunout
 
@@ -1236,14 +1213,14 @@
       CALL bcast_omp(swaerofree_diag)
   ELSE
-#ifdef CPP_XIOS
-    IF (ok_all_xml) THEN
-      !$omp barrier
-      !$omp master
-      is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
-      !$omp end master
-      !$omp barrier
-      IF(.not. is_active) RETURN
-    ENDIF
-#endif
+    IF (using_xios) THEN  
+      IF (ok_all_xml) THEN
+        !$omp barrier
+        !$omp master
+        is_active = xios_field_is_active(var%name, at_current_timestep_arg=.false.)
+        !$omp end master
+        !$omp barrier
+        IF(.not. is_active) RETURN
+      ENDIF
+    ENDIF
 
     !Et sinon on.... écrit
@@ -1273,5 +1250,5 @@
 
     IF (ok_all_xml) THEN
-#ifdef CPP_XIOS
+      IF (using_xios) THEN  
           IF (prt_level >= 10) THEN
              write(lunout,*)'Dans iophy histwrite3D,var%name ',&
@@ -1292,12 +1269,12 @@
         ENDIF
 
-#else
+      ELSE
         CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
-#endif
+      ENDIF
     ELSE  
 
       DO iff=iff_beg, iff_end
           IF (var%flag(iff) <= lev_files(iff) .AND. clef_files(iff)) THEN
-#ifdef CPP_XIOS
+            IF (using_xios) THEN  
               IF (firstx) THEN
                 IF (prt_level >= 10) THEN
@@ -1324,8 +1301,9 @@
                 firstx=.false.
               ENDIF
-#endif
-              IF (.NOT.clef_stations(iff)) THEN
-                        ALLOCATE(index3d(nbp_lon*jj_nb*nlev))
-                        ALLOCATE(fieldok(nbp_lon*jj_nb,nlev))
+            ENDIF
+            
+            IF (.NOT.clef_stations(iff)) THEN
+                      ALLOCATE(index3d(nbp_lon*jj_nb*nlev))
+                      ALLOCATE(fieldok(nbp_lon*jj_nb,nlev))
 
 #ifndef CPP_IOIPSL_NO_OUTPUT 
@@ -1333,9 +1311,9 @@
 #endif
 
-!#ifdef CPP_XIOS
+!    IF (using_xios) THEN  
 !                        IF (iff == 1) THEN
 !                              CALL xios_send_field(var%name, Field3d(:,:,1:klev))
 !                        ENDIF
-!#endif
+!    ENDIF
 !                        
               ELSE 
@@ -1378,5 +1356,4 @@
 
 ! VERSION DES HISTWRITE DEDIEES AU TOUT-XIOS-XML DEJA UTILISEE DANS PHYDEV
-#ifdef CPP_XIOS
   SUBROUTINE histwrite2d_xios(field_name,field)
 
@@ -1386,5 +1363,5 @@
                                 jj_nb, klon_mpi, is_master
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, grid_type, unstructured
-  USE xios, ONLY: xios_send_field
+  USE lmdz_xios, ONLY: xios_send_field
   USE print_control_mod, ONLY: prt_level,lunout
 
@@ -1468,5 +1445,5 @@
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 jj_nb, klon_mpi, is_master
-  USE xios, ONLY: xios_send_field
+  USE lmdz_xios, ONLY: xios_send_field
   USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat, grid_type, unstructured
   USE print_control_mod, ONLY: prt_level,lunout
@@ -1551,7 +1528,6 @@
   END SUBROUTINE histwrite3d_xios
 
-#ifdef CPP_XIOS
   SUBROUTINE histwrite0d_xios(field_name, field)
-  USE xios, ONLY: xios_send_field
+  USE lmdz_xios, ONLY: xios_send_field
   USE mod_phys_lmdz_para, ONLY: is_master
   USE print_control_mod, ONLY: prt_level,lunout
@@ -1568,6 +1544,4 @@
 
   END SUBROUTINE histwrite0d_xios
-#endif
-
-#endif
+
 END MODULE iophy
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iophys.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iophys.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iophys.F90	(revision 4727)
@@ -220,5 +220,5 @@
 ! px arrive 
 
-#include "iotd.h"
+      INCLUDE "iotd.h"
 
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iotd_ecrit.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iotd_ecrit.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iotd_ecrit.F90	(revision 4727)
@@ -27,6 +27,6 @@
 ! Commons
 
-#include "netcdf.inc"
-#include "iotd.h"
+      INCLUDE "netcdf.inc"
+      INCLUDE "iotd.h"
 
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iotd_fin.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iotd_fin.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iotd_fin.F90	(revision 4727)
@@ -14,6 +14,6 @@
 
 
-#include "netcdf.inc"
-#include "iotd.h"
+      INCLUDE "netcdf.inc"
+      INCLUDE "iotd.h"
       integer ierr
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iotd_ini.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iotd_ini.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/iotd_ini.F90	(revision 4727)
@@ -16,6 +16,6 @@
 !   -------------
 
-#include "netcdf.inc"
-#include "iotd.h"
+      INCLUDE "netcdf.inc"
+      INCLUDE "iotd.h"
 
 !   Arguments:
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/limit_read_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/limit_read_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/limit_read_mod.F90	(revision 4727)
@@ -36,7 +36,6 @@
   USE surface_data
   USE mod_phys_lmdz_para
-#ifdef CPP_XIOS
-  USE XIOS
-#endif
+  USE lmdz_xios
+
   IMPLICIT NONE
     INTEGER, INTENT(IN) :: first_day
@@ -45,7 +44,5 @@
     IF ( type_ocean /= 'couple') THEN
       IF (grid_type==unstructured) THEN
-#ifdef CPP_XIOS
         IF (is_omp_master) CALL xios_set_file_attr("limit_read",enabled=.TRUE.,record_offset=first_day)
-#endif
       ENDIF  
     ENDIF
@@ -172,7 +169,5 @@
     USE phys_cal_mod, ONLY : calend, year_len
     USE print_control_mod, ONLY: lunout, prt_level
-#ifdef CPP_XIOS
-    USE XIOS, ONLY: xios_recv_field
-#endif
+    USE lmdz_xios, ONLY: xios_recv_field, using_xios
     
     IMPLICIT NONE
@@ -297,5 +292,4 @@
       IF (grid_type==unstructured) THEN
 
-#ifdef CPP_XIOS
         IF ( type_ocean /= 'couple') THEN
 
@@ -331,6 +325,4 @@
           CALL Scatter_omp(rug_mpi, rugos)
        END IF
-#endif
-
  
      ELSE      ! grid_type==regular
